|  | Home · All Classes · Modules

# QInputDialog.InputDialogOptions Class Reference
[QtGui module]

### Methods

- __init__ (self, InputDialogOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- InputDialogOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, InputDialogOptions f)
- InputDialogOptions __iand__ (self, int mask)
- int __int__ (self)
- InputDialogOptions __invert__ (self)
- InputDialogOptions __ior__ (self, InputDialogOptions f)
- InputDialogOptions __ixor__ (self, InputDialogOptions f)
- bool __ne__ (self, InputDialogOptions f)
- InputDialogOptions __or__ (self, InputDialogOptions f)
- InputDialogOptions __or__ (self, int f)
- InputDialogOptions __xor__ (self, InputDialogOptions f)
- InputDialogOptions __xor__ (self, int f)

## Detailed Description

## Method Documentation

### InputDialogOptions.__init__ (self, InputDialogOptions)

### InputDialogOptions.__init__ (self, int)

### InputDialogOptions.__init__ (self)

### InputDialogOptions InputDialogOptions.__and__ (self, int mask)

### int InputDialogOptions.__bool__ (self)

### bool InputDialogOptions.__eq__ (self, InputDialogOptions f)

### InputDialogOptions InputDialogOptions.__iand__ (self, int mask)

### int InputDialogOptions.__int__ (self)

### InputDialogOptions InputDialogOptions.__invert__ (self)

### InputDialogOptions InputDialogOptions.__ior__ (self, InputDialogOptions f)

### InputDialogOptions InputDialogOptions.__ixor__ (self, InputDialogOptions f)

### bool InputDialogOptions.__ne__ (self, InputDialogOptions f)

### InputDialogOptions InputDialogOptions.__or__ (self, InputDialogOptions f)

### InputDialogOptions InputDialogOptions.__or__ (self, int f)

### InputDialogOptions InputDialogOptions.__xor__ (self, InputDialogOptions f)

### InputDialogOptions InputDialogOptions.__xor__ (self, int f)